Stop an in-progress call
curl --request POST \
--url https://api.topcalls.ai/v1/calls/{call_id}/stop \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topcalls.ai/v1/calls/{call_id}/stop"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topcalls.ai/v1/calls/{call_id}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"status": "cancelled"
}{
"status": 400,
"title": "Cannot stop call",
"detail": "Call is completed. Can only stop queued or in_progress calls."
}{
"status": 401,
"title": "Unauthorized",
"detail": "Invalid or missing API key"
}{
"status": 403,
"title": "Forbidden",
"detail": "Missing required scope: calls:write"
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"details": "<string>"
}{
"status": 409,
"title": "Conflict: request in-flight",
"detail": "Another request with the same Idempotency-Key is currently being processed."
}Calls
Stop an in-progress call
Cancel or stop a call that is currently queued or in progress
POST
/
v1
/
calls
/
{call_id}
/
stop
Stop an in-progress call
Authorizations
Use Authorization: Bearer tc_live_xxxxx
Headers
Optional client-supplied idempotency key. When present, the gateway
caches the response for 24 hours and returns the same response on
retried requests with the same key (account-scoped). Safe for
retries on network blips. Format: 8-255 ASCII characters from
[A-Za-z0-9_-].
Required string length:
8 - 255Pattern:
^[A-Za-z0-9_-]+$Example:
"a1b2c3d4-e5f6-7890-abcd-ef0123456789"
Path Parameters
Call UUID
⌘I